aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/viuimg
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/viuimg')
-rwxr-xr-xplugins/viuimg14
1 files changed, 14 insertions, 0 deletions
diff --git a/plugins/viuimg b/plugins/viuimg
new file mode 100755
index 0000000..8505be8
--- /dev/null
+++ b/plugins/viuimg
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+# Description: View an image or images in a directory in pager
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ if [ -d "$1" ]; then
+ viu -n "$1"/* 2>/dev/null | less -R
+ else
+ viu -n "$1" | less -R
+ fi
+fi